Index: pjproject/trunk/pjsip/src/test-pjsip/msg_test.c
===================================================================
--- pjproject/trunk/pjsip/src/test-pjsip/msg_test.c	(revision 119)
+++ pjproject/trunk/pjsip/src/test-pjsip/msg_test.c	(revision 127)
@@ -18,5 +18,5 @@
  */
 #include "test.h"
-#include <pjsip_core.h>
+#include <pjsip.h>
 #include <pjlib.h>
 
@@ -349,5 +349,5 @@
     /* "INVITE sip:user@foo SIP/2.0\n" */
     pjsip_method_set(&msg->line.req.method, PJSIP_INVITE_METHOD);
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     msg->line.req.uri = (pjsip_uri*)url;
     pj_strdup2(pool, &url->user, "user");
@@ -361,5 +361,5 @@
     fromto->uri = (pjsip_uri*)name_addr;
     pj_strdup2(pool, &name_addr->display, "Hi I'm Joe");
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     name_addr->uri = (pjsip_uri*)url;
     pj_strdup2(pool, &url->user, "joe.user");
@@ -372,5 +372,5 @@
     fromto->uri = (pjsip_uri*)name_addr;
     pj_strdup2(pool, &name_addr->display, "Fellow User");
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     name_addr->uri = (pjsip_uri*)url;
     pj_strdup2(pool, &url->user, "user");
@@ -400,5 +400,5 @@
     name_addr = pjsip_name_addr_create(pool);
     contact->uri = (pjsip_uri*)name_addr;
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     name_addr->uri = (pjsip_uri*)url;
     pj_strdup2(pool, &url->user, "joe");
@@ -411,5 +411,5 @@
     name_addr = pjsip_name_addr_create(pool);
     contact->uri = (pjsip_uri*)name_addr;
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     name_addr->uri = (pjsip_uri*)url;
     pj_strdup2(pool, &url->user, "user");
@@ -421,5 +421,5 @@
     name_addr = pjsip_name_addr_create(pool);
     contact->uri = (pjsip_uri*)name_addr;
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     name_addr->uri = (pjsip_uri*)url;
     pj_strdup2(pool, &url->user, "user2");
@@ -436,5 +436,5 @@
     routing = pjsip_route_hdr_create(pool);
     pjsip_msg_add_hdr(msg, (pjsip_hdr*)routing);
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     routing->name_addr.uri = (pjsip_uri*)url;
     pj_strdup2(pool, &url->host, "bigbox3.site3.atlanta.com");
@@ -444,5 +444,5 @@
     routing = pjsip_route_hdr_create(pool);
     pjsip_msg_add_hdr(msg, (pjsip_hdr*)routing);
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     routing->name_addr.uri = (pjsip_uri*)url;
     pj_strdup2(pool, &url->host, "server10.biloxi.com");
@@ -452,5 +452,5 @@
     routing = pjsip_rr_hdr_create(pool);
     pjsip_msg_add_hdr(msg, (pjsip_hdr*)routing);
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     routing->name_addr.uri = (pjsip_uri*)url;
     pj_strdup2(pool, &url->host, "server10.biloxi.com");
@@ -460,5 +460,5 @@
     routing = pjsip_rr_hdr_create(pool);
     pjsip_msg_add_hdr(msg, (pjsip_hdr*)routing);
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     routing->name_addr.uri = (pjsip_uri*)url;
     pj_strdup2(pool, &url->host, "bigbox3.site3.atlanta.com");
@@ -498,5 +498,5 @@
     str.ptr = "Organization";
     str.slen = 12;
-    generic = pjsip_generic_string_hdr_create(pool, &str);
+    generic = pjsip_generic_string_hdr_create(pool, &str, NULL);
     pjsip_msg_add_hdr(msg, (pjsip_hdr*)generic);
     generic->hvalue.ptr = NULL;
@@ -506,5 +506,5 @@
     str.ptr = "Max-Forwards";
     str.slen = 12;
-    generic = pjsip_generic_string_hdr_create(pool, &str);
+    generic = pjsip_generic_string_hdr_create(pool, &str, NULL);
     pjsip_msg_add_hdr(msg, (pjsip_hdr*)generic);
     str.ptr = "70";
@@ -515,5 +515,5 @@
     str.ptr = "X-Header";
     str.slen = 8;
-    generic = pjsip_generic_string_hdr_create(pool, &str);
+    generic = pjsip_generic_string_hdr_create(pool, &str, NULL);
     pjsip_msg_add_hdr(msg, (pjsip_hdr*)generic);
     str.ptr = NULL;
@@ -524,5 +524,5 @@
     str.ptr = "P-Associated-URI";
     str.slen = 16;
-    generic = pjsip_generic_string_hdr_create(pool, &str);
+    generic = pjsip_generic_string_hdr_create(pool, &str, NULL);
     pjsip_msg_add_hdr(msg, (pjsip_hdr*)generic);
     str.ptr = NULL;
@@ -539,5 +539,5 @@
     pjsip_name_addr *name_addr;
     pjsip_sip_uri *url;
-    pjsip_max_forwards_hdr *max_fwd;
+    pjsip_max_fwd_hdr *max_fwd;
     pjsip_to_hdr *to;
     pjsip_from_hdr *from;
@@ -582,5 +582,5 @@
     route = pjsip_route_hdr_create(pool);
     pjsip_msg_add_hdr(msg, (pjsip_hdr*)route);
-    url = pjsip_url_create(pool, PJ_FALSE);
+    url = pjsip_sip_uri_create(pool, PJ_FALSE);
     route->name_addr.uri = (pjsip_uri*)url;
     url->host = pj_str("proxy.sipprovider.com");
@@ -589,5 +589,5 @@
     route = pjsip_route_hdr_create(pool);
     pjsip_msg_add_hdr(msg, (pjsip_hdr*)route);
-    url = pjsip_url_create(pool, PJ_FALSE);
+    url = pjsip_sip_uri_create(pool, PJ_FALSE);
     route->name_addr.uri = (pjsip_uri*)url;
     url->host = pj_str("proxy.supersip.com");
@@ -595,7 +595,6 @@
 
     //"Max-Forwards: 70\r\n"
-    max_fwd = pjsip_max_forwards_hdr_create(pool);
+    max_fwd = pjsip_max_fwd_hdr_create(pool, 70);
     pjsip_msg_add_hdr(msg, (pjsip_hdr*)max_fwd);
-    max_fwd->ivalue = 70;
 
     //"To: Bob <sip:bob@biloxi.com>;tag=a6c85cf\r\n"
@@ -605,5 +604,5 @@
     name_addr->display = pj_str("Bob");
     to->uri = (pjsip_uri*)name_addr;
-    url = pjsip_url_create(pool, PJ_FALSE);
+    url = pjsip_sip_uri_create(pool, PJ_FALSE);
     name_addr->uri = (pjsip_uri*)url;
     url->user = pj_str("bob");
@@ -617,5 +616,5 @@
     name_addr->display = pj_str("Alice");
     from->uri = (pjsip_uri*)name_addr;
-    url = pjsip_url_create(pool, PJ_FALSE);
+    url = pjsip_sip_uri_create(pool, PJ_FALSE);
     name_addr->uri = (pjsip_uri*)url;
     url->user = pj_str("alice");
@@ -639,5 +638,5 @@
     name_addr = pjsip_name_addr_create(pool);
     contact->uri = (pjsip_uri*)name_addr;
-    url = pjsip_url_create(pool, PJ_TRUE);
+    url = pjsip_sip_uri_create(pool, PJ_TRUE);
     name_addr->uri = (pjsip_uri*)url;
     url->user = pj_str("bob");
